# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Maintainer: Jonathan Wiersma <arch aur at jonw dot org>
# Contributor: Jonathan Wiersma <arch aur at jonw dot org>
# Contributor: sracker <smb.sac@gmail.com>

_pkgname=xdebug
_phpver=82
pkgname=php${_phpver}-${_pkgname}
pkgver=3.4.2
_pkgver=3.4.2
pkgrel=1
pkgdesc="PHP debugging extension"
arch=('x86_64')
url="https://www.xdebug.org"
license=('GPL')
depends=("php${_phpver}")
makedepends=("php${_phpver}-dev")
backup=('etc/php/conf.d/xdebug.ini')
source=("https://xdebug.org/files/${_pkgname}-${_pkgver}.tgz"
	'xdebug.ini')
sha256sums=('a043888c86e1526ac5ddb220d37ed3a1809e79a16bbb059b9c7e2d2f83b43cc1'
            'f65b03f2f2a54a4e2eda476661d4eb4cd9199fdbbe2111eeb6f7a61c4293de7c')

build() {
  cd "${_pkgname}-${_pkgver}"
  phpize${_phpver}
  ./configure --with-php-config=php-config${_phpver} \
    --prefix=/usr --enable-xdebug
  make
}

package() {
  cd "${_pkgname}-${_pkgver}"
  make INSTALL_ROOT="$pkgdir" install
  install -Dm 644 "$srcdir"/xdebug.ini "$pkgdir/etc/php${_phpver}/conf-available/xdebug.ini"
  install -Dm 644 xdebug.ini "$pkgdir/usr/share/doc/${pkgname}/xdebug.ini"
}
